package io.gmss.fiscad.paylaods.response.restoration;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.gmss.fiscad.deserializer.LocalDateDeserializer;

import java.time.LocalDate;

public interface BatimentPayload {

    public Long getIdBackend();

    public Long getExternalKey();

    public String getNub();

    public String getCode();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateConstruction();

    public Long getParcelleId();

    public Long getTerminalId();
}
